# MeshCreatePyLith

Create a Mesh from PyLith files.

### Synopsis

    #include "petscmesh.h"
    PetscErrorCode MeshCreatePyLith(MPI_Comm comm, const int dim, const char baseFilename[], PetscTruth zeroBase, PetscTruth interpolate, Mesh *mesh)

Not Collective

### Input Parameters

| dim | - The topological mesh dimension
| baseFilename | - The basename for mesh files
| zeroBase | - Use 0 to start numbering
| interpolate | - The flag for mesh interpolation

### Output Parameter

mesh -The Mesh object

### Keywords

mesh, PCICE

### See Also

MeshCreate()

Level:beginner
Location: src/dm/mesh/mesh.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages